반응형
▷ Code
'// Create a modeldescriptor to the Creo Model
Dim session As pfcls.IpfcBaseSession
Dim oModelDescriptorCreate As New CCpfcModelDescriptor
Dim oModelDescriptor As IpfcModelDescriptor
Set oModelDescriptor = oModelDescriptorCreate.Create(EpfcMDL_ASSEMBLY, "ASM0001.ASM", Null)
'//Retrieve the model into the oModel handle
Set oModel = session.RetrieveModel(oModelDescriptor)
'//Create a new window which displays the Creo Model
Dim oWindow As pfcls.IpfcWindow
Set oWindow = session.OpenFile(oModelDescriptor)
'//Activate the new window
oWindow.Activate
'//Show the name of the Creo Model in a messagebox
MsgBox "Model name = " & oModel.Filename
'VBA, VB.NET For Creo' 카테고리의 다른 글
개발 요청] 이미지 생성 프로그램 #3 (0) | 2024.11.21 |
---|---|
rename a simplified representation (0) | 2024.11.19 |
Show the current Working Directory (0) | 2024.11.19 |
모델의 치수를 변경해 보기 (1) | 2024.11.16 |
IpfcComponentPath (0) | 2024.11.15 |